@charset "utf-8";

/* =====20260320　コイデコイオ陶展案内===== */
.ceramic-event {

    > a {
        max-width: 830px; 
        width: 90%; 
        display: flex; 
        justify-content: space-between; 
        align-items: center; 
        margin: 100px auto 30px; 
        border: solid 2px #DADDD8; 
    } 

    > a:hover {
        opacity: 0.8;
        transition: 0.3s;
    }

    img {
        width: 55%;
        display: block;
        object-fit: cover;
    }

    .text-wrap {
        width: 45%; 
        max-width: 300px; 
        margin: 0 auto; 
        display: flex; 
        flex-direction: column; 
        justify-content: center; 
        align-items: flex-start;
        padding: 0 10px;
    }

    p:first-of-type {
        /* 15-16px */
        font-size: clamp(0.938rem, 0.857rem + 0.17vw, 1rem);
        letter-spacing: 0.1em;
        line-height: 1;
        margin-bottom: clamp(0.938rem, 0.634rem + 1.52vw, 1.25rem);
    }
    p:nth-of-type(2) {
        /* 13-14px */
        font-size: clamp(0.813rem, 0.724rem + 0.31vw, 0.875rem);
        line-height: 1.7;
        /* margin-bottom: 20px; */
        text-align: justify;

        span {
            color: #af1515;
        }
    }
}

@media(max-width:768px) {
    .ceramic-event {

        > a {
            flex-direction: column;
            margin: 80px auto 0;
            max-width: 420px;
        }
        
        img {
            width: 100%;
        }

        .text-wrap {
            width: 90%;
            margin: 25px auto;
        }

        p:first-of-type {
            margin-bottom: 15px;
        }

        p:nth-of-type(2) {
            margin-bottom: 0;
        }
    }

}


/* =====20260221　絵本読み聞かせイベント案内===== */
.ehon-announce {

    > a {
        max-width: 830px; 
        width: 90%; 
        display: flex; 
        justify-content: space-between; 
        align-items: center; 
        margin: 70px auto 30px; 
        border: solid 2px #DADDD8; 
    } 

    > a:hover {
        opacity: 0.8;
        transition: 0.3s;
    }

    img {
        width: 40%;
        display: block;
        object-fit: cover;
    }

    .text-wrap {
        width: 73%; 
        max-width: 354px; 
        margin: 0 auto; 
        display: flex; 
        flex-direction: column; 
        justify-content: center; 
        align-items: flex-start;
        padding: 0 10px;
    }

    p:first-of-type {
        /* 14-17px */
        font-size: clamp(0.875rem, 0.693rem + 0.91vw, 1.063rem);
        letter-spacing: 0.1em;
        line-height: 1;
        margin-bottom: clamp(0.938rem, 0.634rem + 1.52vw, 1.25rem);
    }
    p:nth-of-type(2) {
        /* 13-14px */
        font-size: clamp(0.813rem, 0.724rem + 0.31vw, 0.875rem);
        line-height: 1.7;
        /* margin-bottom: 20px; */
        text-align: justify;

        span {
            color: #af1515;
        }
    }

    /* a {
        margin: 0 auto 0 0; 
        padding: .58em 1.3em;
    } */
}

@media(max-width:670px) {
    .ehon-announce {

        > a {
            flex-direction: column;
            margin: 50px auto 0;
        }
        
        img {
            aspect-ratio: 2/1;
            width: 100%;
        }

        .text-wrap {
            width: 90%;
            margin: 25px auto;
        }

        p:first-of-type {
            margin-bottom: 15px;
        }

        p:nth-of-type(2) {
            margin-bottom: 0;
        }
    }

}